package ru.yandex.webmaster3.storage.searchurl.history.data;

import ru.yandex.webmaster3.core.util.enums.IntEnum;
import ru.yandex.webmaster3.core.util.enums.IntEnumResolver;

/**
 * @author avhaliullin
 */
public enum SearchUrlHistoryIndicator implements IntEnum {
    COUNT(0),
    NEW(1),
    GONE(2),
    ;

    private final int value;

    SearchUrlHistoryIndicator(int value) {
        this.value = value;
    }


    @Override
    public int value() {
        return value;
    }

    public static final IntEnumResolver<SearchUrlHistoryIndicator> R = IntEnumResolver.r(SearchUrlHistoryIndicator.class);
}
